{% extends 'proposition/base.html.twig' %}

{% block content %}
    <h2>Choisir mes activités</h2>

<form class="flex flex-col mt-5 form-activities" action="" method="post">

  <div class="-my-2 py-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
    <div class="align-middle inline-block min-w-full shadow overflow-hidden sm:rounded-lg border-b border-gray-200">
      <table class="min-w-full">
        <thead>
          <tr>
            <th class="px-6 py-3 border-b border-gray-200 bg-gray-50 text-left text-sm font-bold uppercase tracking-wider">
              Activités
            </th>
            <th class="px-6 py-3 border-b border-gray-200 bg-gray-50 text-center text-sm font-bold uppercase tracking-wider choice-activities-yes cursor-pointer">
              Oui
            </th>
            <th class="px-6 py-3 border-b border-gray-200 bg-gray-50 text-center text-sm font-bold uppercase tracking-wider choice-activities-unknown cursor-pointer">
              Sans avis
            </th>
            <th class="px-6 py-3 border-b border-gray-200 bg-gray-50 text-center text-sm font-bold uppercase tracking-wider choice-activities-no cursor-pointer">
              Non
            </th>
          </tr>
        </thead>
        <tbody class="bg-white">

          {% for activity in activities %}
          <tr>
            <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
              <label class="col-span-1 cursor-pointer" for="activity[{{ activity }}]">{{ activity }}</label>
            </td>
            <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200 text-center leading-none">
              <input class="col-span-1 radio-activities cursor-pointer" type="radio" name="activity[{{ activity }}]" id="activity[{{ activity }}]" value="1" required>
            </td>
            <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200 text-center leading-none">
              <input class="col-span-1 radio-activities cursor-pointer" type="radio" name="activity[{{ activity }}]" id="activity[{{ activity }}]" value="-1">
            </td>
            <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200 text-center leading-none">
              <input class="col-span-1 radio-activities cursor-pointer" type="radio" name="activity[{{ activity }}]" id="activity[{{ activity }}]" value="0">
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>

  <button class="self-start my-4 md:w-auto btn-info md:mb-0">Continuer</button>

</form>


{% endblock %}
